Subject: Re: bug#63469: 29.0.90; project.el doesn't add menu-bar entries

From: Dmitry Gutov <[email-masked]>
Date: Fri, 12 May 2023 22:25:00 +0300

On 12/05/2023 22:09, Eli Zaretskii wrote:
>> These menu items could be set to only appear when the current buffer is
>> in a project, or they could just always appear.  I think it would be
>> better for them to always appear, personally.
> Maybe they should be disabled when the current is not in a project?

Calling (project-current) might not be the best idea after every user 
command: e.g. it might not be cached, and sometimes not very fast (e.g. 
over Tramp).

The current design work off the idea of calling it only when the user 
explicitly calls a related command.

All project-* commands fall back to prompting for project directory, so 
it shouldn't hurt to enable those menu entries unconditionally.